#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const index_1 = require("./index");
const pj = require('../package.json');
program
    .version(pj.version)
    .usage('[options] <modules ...>')
    .option('-d, --dev', 'save everything into the dev dependencies')
    .option('-p, --prod', 'save the @types into `dependencies`')
    .option('-y, --yarn', 'install using yarn instead of npm')
    .option('-e, --exact', 'pin modules to an exact version')
    .parse(process.argv);
if (!program.args.length) {
    console.error(`ERR: specify at least one module`);
    process.exit(1);
}
// the program object has the flags set on it when they're present
index_1.default(program.args, program, true);
